Security update for gnutls

SUSE Security Update: Security update for gnutls
Announcement ID: SUSE-SU-2019:1121-1
Rating: important
References: #1118087 #1130681 #1130682
Cross-References: CVE-2018-16868 CVE-2019-3829 CVE-2019-3836
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Desktop Applications 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that fixes three vulnerabilities is now available.

Description:

This update for gnutls fixes to version 3.6.7 the following issues:
Security issued fixed:

  • CVE-2019-3836: Fixed an invalid pointer access via malformed TLS1.3 async messages (bsc#1130682).
  • CVE-2019-3829: Fixed a double free vulnerability in the certificate verification API (bsc#1130681).
  • CVE-2018-16868: Fixed Bleichenbacher-like side channel leakage in PKCS#1 v1.5 verification and padding oracle verification (bsc#1118087)

Non-security issue fixed:
  • Update gnutls to support TLS 1.3 (fate#327114)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1121=1
  • SUSE Linux Enterprise Module for Desktop Applications 15:
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-1121=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-1121=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • gnutls-debuginfo-3.6.7-6.8.1
    • gnutls-debugsource-3.6.7-6.8.1
    • gnutls-guile-3.6.7-6.8.1
    • gnutls-guile-debuginfo-3.6.7-6.8.1
  • SUSE Linux Enterprise Module for Desktop Applications 15 (x86_64):
    • gnutls-debugsource-3.6.7-6.8.1
    • libgnutls30-32bit-3.6.7-6.8.1
    • libgnutls30-32bit-debuginfo-3.6.7-6.8.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • gnutls-3.6.7-6.8.1
    • gnutls-debuginfo-3.6.7-6.8.1
    • gnutls-debugsource-3.6.7-6.8.1
    • libgnutls-devel-3.6.7-6.8.1
    • libgnutls30-3.6.7-6.8.1
    • libgnutls30-debuginfo-3.6.7-6.8.1
    • libgnutlsxx-devel-3.6.7-6.8.1
    • libgnutlsxx28-3.6.7-6.8.1
    • libgnutlsxx28-debuginfo-3.6.7-6.8.1
  • SUSE Linux Enterprise Module for Basesystem 15 (x86_64):
    • libgnutls30-32bit-3.6.7-6.8.1
    • libgnutls30-32bit-debuginfo-3.6.7-6.8.1

References: